Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi
Interface RouteMessage

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  MultiringRouteMessage, PastRegrTest.TestRouteMessage, RawPastRegrTest.TestRouteMessage, RouteMessage, ScribeRegrTest.TestRouteMessage

    public interface RouteMessage

extends java.io.Serializable

Version:
  $Id: RouteMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove, Peter Druschel

Method Summary
`Id` | `getDestinationId()` Returns the destination Id for this message
`Message` | `getMessage()` Deprecated. use getMesage(MessageDeserializer)
`Message` | `getMessage(MessageDeserializer md)`
`NodeHandle` | `getNextHopHandle()` Returns the next hop handle for this message
`void` | `setDestinationId(Id id)` Sets the destination Id for this message
`void` | `setMessage(Message message)` Sets the internal message for this message
`void` | `setMessage(RawMessage message)` Sets the internal message for this message Does the same as setMessage(Message) but with better performance, because it doesn't have to introspect if the message is a RawMessage
`void` | `setNextHopHandle(NodeHandle nextHop)` Sets the next hop handle for this message

Method Detail

### getDestinationId

    Id getDestinationId()

  Returns the destination Id for this message

  Returns:
    The destination Id

### getNextHopHandle

    NodeHandle getNextHopHandle()

  Returns the next hop handle for this message

  Returns:
    The next hop

### getMessage

    Message getMessage()

  Deprecated. use getMesage(MessageDeserializer)

  Returns the enclosed message inside of this message

  Returns:
    The enclosed message

### getMessage

    Message getMessage(MessageDeserializer md)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### setDestinationId

    void setDestinationId(Id id)

  Sets the destination Id for this message

  Parameters:
    `id` - The destination Id

### setNextHopHandle

    void setNextHopHandle(NodeHandle nextHop)

  Sets the next hop handle for this message

  Parameters:
    `nextHop` - The next hop for this handle

### setMessage

    void setMessage(Message message)

  Sets the internal message for this message

  Parameters:
    `message` - The internal message

### setMessage

    void setMessage(RawMessage message)

  Sets the internal message for this message Does the same as setMessage(Message) but with better performance, because it doesn't have to introspect if the message is a RawMessage

  Parameters:
    `message` - The internal message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.